Ascii (Tomcat API Documentation)
Keywords: org.apache.tomcat.util.buf.Ascii class

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.tomcat.util.buf
Class Ascii

    java.lang.Object
      org.apache.tomcat.util.buf.Ascii

    public final class Ascii

extends java.lang.Object

This class implements some basic ASCII character handling functions.

Author:
  dac@eng.sun.com, James Todd [gonzo@eng.sun.com]

Constructor Summary
`Ascii()`

Method Summary
`static boolean` | `isAlpha(int c)` Returns true if the specified ASCII character is upper or lower case.
`static boolean` | `isDigit(int c)` Returns true if the specified ASCII character is a digit.
`static boolean` | `isLower(int c)` Returns true if the specified ASCII character is lower case.
`static boolean` | `isUpper(int c)` Returns true if the specified ASCII character is upper case.
`static boolean` | `isWhite(int c)` Returns true if the specified ASCII character is white space.
`static int` | `parseInt(byte[] b, int off, int len)` Parses an unsigned integer from the specified subarray of bytes.
`static int` | `parseInt(char[] b, int off, int len)`
`static long` | `parseLong(byte[] b, int off, int len)` Parses an unsigned long from the specified subarray of bytes.
`static long` | `parseLong(char[] b, int off, int len)`
`static int` | `toLower(int c)` Returns the lower case equivalent of the specified ASCII character.
`static int` | `toUpper(int c)` Returns the upper case equivalent of the specified ASCII character.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Ascii

    public Ascii()

Method Detail

### toUpper

    public static int toUpper(int c)

  Returns the upper case equivalent of the specified ASCII character.

### toLower

    public static int toLower(int c)

  Returns the lower case equivalent of the specified ASCII character.

### isAlpha

    public static boolean isAlpha(int c)

  Returns true if the specified ASCII character is upper or lower case.

### isUpper

    public static boolean isUpper(int c)

  Returns true if the specified ASCII character is upper case.

### isLower

    public static boolean isLower(int c)

  Returns true if the specified ASCII character is lower case.

### isWhite

    public static boolean isWhite(int c)

  Returns true if the specified ASCII character is white space.

### isDigit

    public static boolean isDigit(int c)

  Returns true if the specified ASCII character is a digit.

### parseInt

    public static int parseInt(byte[] b,
                               int off,
                               int len)
                        throws java.lang.NumberFormatException

  Parses an unsigned integer from the specified subarray of bytes.

  Parameters:
    `b` - the bytes to parse
    `off` - the start offset of the bytes
    `len` - the length of the bytes
  Throws:
    `java.lang.NumberFormatException` - if the integer format was invalid

### parseInt

    public static int parseInt(char[] b,
                               int off,
                               int len)
                        throws java.lang.NumberFormatException

  Throws:
    `java.lang.NumberFormatException`

### parseLong

    public static long parseLong(byte[] b,
                                 int off,
                                 int len)
                          throws java.lang.NumberFormatException

  Parses an unsigned long from the specified subarray of bytes.

  Parameters:
    `b` - the bytes to parse
    `off` - the start offset of the bytes
    `len` - the length of the bytes
  Throws:
    `java.lang.NumberFormatException` - if the long format was invalid

### parseLong

    public static long parseLong(char[] b,
                                 int off,
                                 int len)
                          throws java.lang.NumberFormatException

  Throws:
    `java.lang.NumberFormatException`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2008 Apache Software Foundation. All Rights Reserved.